Legrand / Raritan / Server Technology Xerus™ JSON-RPC API

Loading...
Searching...
No Matches
Public Attributes | List of all members
cascading::CascadeManager::LinkPortStatus Struct Reference

Status of the Link Port. More...

## Public Attributes
boolean | isSupported
| true, if Link Port is supported on this device
boolean | isLinkDetected
| true, if a link on the Link Port was detected
boolean | isLinkingConfirmationNeeded
| true, if confirmation for linking via Link Port is needed
string | connectedNeighborAddr
| link-local IPv6 address of the currently connected neighbor, or empty

## Detailed Description

Status of the Link Port.

Definition at line 77 of file CascadeManager.idl.

## Member Data Documentation

## ◆ connectedNeighborAddr

string cascading::CascadeManager::LinkPortStatus::connectedNeighborAddr

link-local IPv6 address of the currently connected neighbor, or empty

Definition at line 81 of file CascadeManager.idl.

## ◆ isLinkDetected

boolean cascading::CascadeManager::LinkPortStatus::isLinkDetected

true, if a link on the Link Port was detected

Definition at line 79 of file CascadeManager.idl.

## ◆ isLinkingConfirmationNeeded

boolean cascading::CascadeManager::LinkPortStatus::isLinkingConfirmationNeeded

true, if confirmation for linking via Link Port is needed

Definition at line 80 of file CascadeManager.idl.

## ◆ isSupported

boolean cascading::CascadeManager::LinkPortStatus::isSupported

true, if Link Port is supported on this device

Definition at line 78 of file CascadeManager.idl.

The documentation for this struct was generated from the following file:

- CascadeManager.idl